Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP

Loading…

add systemd and grub2 package lists #2

Merged
merged 6 commits into from

2 participants

@jirislaby

No description provided.

Jiri Slaby added some commits
Jiri Slaby find_root: use osc develproject where available
"osc develproject" is an osc command. If that's available, use it, if
not, fall back to meta pkg parsing.

Signed-off-by: Jiri Slaby <jslaby@suse.cz>
b650d3e
Jiri Slaby add systemd package list
Signed-off-by: Jiri Slaby <jslaby@suse.cz>
574ab15
Jiri Slaby add grub2 package list
Update to 1.99 which is in Factory already. (I'm using it as a primary
bootloader without problems.)

Signed-off-by: Jiri Slaby <jslaby@suse.cz>
dc9441c
Jiri Slaby remove broken Banshee/ipod-sharp link
See:
osc request show 72135

Signed-off-by: Jiri Slaby <jslaby@suse.cz>
418b2d0
Jiri Slaby remove broken X11:xfce/thunar-vfs link
See:
https://bugzilla.novell.com/show_bug.cgi?id=697033

Signed-off-by: Jiri Slaby <jslaby@suse.cz>
57a2401
Jiri Slaby remove broken multimedia:libs/gstreamer-0_10-plugins-farsight link
See:
osc request show 72204

Signed-off-by: Jiri Slaby <jslaby@suse.cz>
7c5adce
@jirislaby

Remove some broken links. The packages are obsolete and delete from factory for various reasons (see particular commits for details).

@jirislaby jirislaby closed this
@jirislaby jirislaby reopened this
@gregkh gregkh merged commit 2cdd9a6 into from
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Commits on Jun 4, 2011
  1. find_root: use osc develproject where available

    Jiri Slaby authored
    "osc develproject" is an osc command. If that's available, use it, if
    not, fall back to meta pkg parsing.
    
    Signed-off-by: Jiri Slaby <jslaby@suse.cz>
  2. add systemd package list

    Jiri Slaby authored
    Signed-off-by: Jiri Slaby <jslaby@suse.cz>
  3. add grub2 package list

    Jiri Slaby authored
    Update to 1.99 which is in Factory already. (I'm using it as a primary
    bootloader without problems.)
    
    Signed-off-by: Jiri Slaby <jslaby@suse.cz>
Commits on Jun 5, 2011
  1. remove broken Banshee/ipod-sharp link

    Jiri Slaby authored
    See:
    osc request show 72135
    
    Signed-off-by: Jiri Slaby <jslaby@suse.cz>
  2. remove broken X11:xfce/thunar-vfs link

    Jiri Slaby authored
    See:
    https://bugzilla.novell.com/show_bug.cgi?id=697033
    
    Signed-off-by: Jiri Slaby <jslaby@suse.cz>
  3. remove broken multimedia:libs/gstreamer-0_10-plugins-farsight link

    Jiri Slaby authored
    See:
    osc request show 72204
    
    Signed-off-by: Jiri Slaby <jslaby@suse.cz>
This page is out of date. Refresh to see the latest.
Showing with 18 additions and 4 deletions.
  1. +5 −1 find_root
  2. +1 −0  grub2
  3. +0 −2  package_list
  4. +12 −0 systemd
  5. +0 −1  xfce
View
6 find_root
@@ -2,4 +2,8 @@
PACKAGE_NAME=$1
-osc meta pkg openSUSE:Factory $PACKAGE_NAME | grep "devel project" | cut -f 2 -d '=' | cut -f 1 -d ' '
+osc develproject openSUSE:Factory $PACKAGE_NAME 2>/dev/null
+if [ $? -ne 0 ]; then
+ # older osc doesn't support develproject
+ osc meta pkg openSUSE:Factory $PACKAGE_NAME | grep "devel project" | cut -f 2 -d '=' | cut -f 1 -d ' '
+fi
View
1  grub2
@@ -0,0 +1 @@
+devel:openSUSE:Factory/grub2
View
2  package_list
@@ -180,7 +180,6 @@ multimedia:libs/gstreamer-0_10
multimedia:libs/gstreamer-0_10-doc
multimedia:libs/gstreamer-0_10-plugins-bad
multimedia:libs/gstreamer-0_10-plugins-base
-multimedia:libs/gstreamer-0_10-plugins-farsight
multimedia:libs/gstreamer-0_10-plugins-gl
multimedia:libs/gstreamer-0_10-plugins-good
multimedia:libs/gstreamer-0_10-plugins-ugly
@@ -209,7 +208,6 @@ Banshee/gio-sharp
Banshee/gkeyfile-sharp
Banshee/gtk-sharp-beans
Banshee/gudev-sharp
-Banshee/ipod-sharp
#Banshee/libgpod
multimedia:libs/libgpod
#Banshee/libimobiledevice
View
12 systemd
@@ -0,0 +1,12 @@
+Base:System/aaa_base
+Base:System/filesystem
+Base:System/mkinitrd
+Base:System/polkit
+Base:System/polkit-default-privs
+Base:System/systemd
+Base:System/udev
+
+# needed for polkit-default-privs to be in rpmlint, so that rpmlint doesn't
+# fail during build of systemd.
+devel:openSUSE:Factory:rpmlint/rpmlint
+devel:openSUSE:Factory:rpmlint/rpmlint-mini
View
1  xfce
@@ -26,7 +26,6 @@ X11:xfce/thunar-plugin-archive
X11:xfce/thunar-plugin-media-tags
X11:xfce/thunar-plugin-shares
X11:xfce/thunar-plugin-vcs
-X11:xfce/thunar-vfs
X11:xfce/thunar-volman
X11:xfce/thunarx-python
X11:xfce/tumbler
Something went wrong with that request. Please try again.